Package com.io7m.idstore.server.internal.freemarker

# Record Class IdFMAdminUsersData

java.lang.Object
java.lang.Record
com.io7m.idstore.server.internal.freemarker.IdFMAdminUsersData

Record Components:
  `htmlTitle` - The page title
  `pageHeaderTitle` - The page header title
  `users` - The users
  `pagePreviousAvailable` - There is a previous page
  `pageNextAvailable` - There is a next page
  `pageNumber` - The page number
  `pageCount` - The page count
  `search` - The search query

All Implemented Interfaces:
  `IdFMDataModelType`

public record IdFMAdminUsersData(String htmlTitle, String pageHeaderTitle, List<IdUserSummary> users, boolean pagePreviousAvailable, boolean pageNextAvailable, int pageNumber, long pageCount, Optional<String> search) extends Record implements IdFMDataModelType
Data for the "users" admin screen template.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFMAdminUsersData(String htmlTitle, String pageHeaderTitle, List<IdUserSummary> users, boolean pagePreviousAvailable, boolean pageNextAvailable, int pageNumber, long pageCount, Optional<String> search)`
  Data for the "users" admin screen template.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `htmlTitle()`
  Returns the value of the `htmlTitle` record component.
  `long`
  `pageCount()`
  Returns the value of the `pageCount` record component.
  `String`
  `pageHeaderTitle()`
  Returns the value of the `pageHeaderTitle` record component.
  `boolean`
  `pageNextAvailable()`
  Returns the value of the `pageNextAvailable` record component.
  `int`
  `pageNumber()`
  Returns the value of the `pageNumber` record component.
  `boolean`
  `pagePreviousAvailable()`
  Returns the value of the `pagePreviousAvailable` record component.
  `Optional<String>`
  `search()`
  Returns the value of the `search` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Map<String,Object>`
  `toTemplateHash()`
  `List<IdUserSummary>`
  `users()`
  Returns the value of the `users` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdFMAdminUsersData

    public IdFMAdminUsersData(String htmlTitle, String pageHeaderTitle, List<IdUserSummary> users, boolean pagePreviousAvailable, boolean pageNextAvailable, int pageNumber, long pageCount, Optional<String> search)
    Data for the "users" admin screen template.
    Parameters:
      `htmlTitle` - The page title
      `pageHeaderTitle` - The page header title
      `users` - The users
      `pagePreviousAvailable` - There is a previous page
      `pageNextAvailable` - There is a next page
      `pageNumber` - The page number
      `pageCount` - The page count
      `search` - The search query

- ## Method Details

  - ### toTemplateHash

    public Map<String,Object> toTemplateHash()
    Specified by:
      `toTemplateHash` in interface `IdFMDataModelType`
    Returns:
      The data as a freemarker template hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### htmlTitle

    public String htmlTitle()
    Returns the value of the `htmlTitle` record component.
    Returns:
      the value of the `htmlTitle` record component

  - ### pageHeaderTitle

    public String pageHeaderTitle()
    Returns the value of the `pageHeaderTitle` record component.
    Returns:
      the value of the `pageHeaderTitle` record component

  - ### users

    public List<IdUserSummary> users()
    Returns the value of the `users` record component.
    Returns:
      the value of the `users` record component

  - ### pagePreviousAvailable

    public boolean pagePreviousAvailable()
    Returns the value of the `pagePreviousAvailable` record component.
    Returns:
      the value of the `pagePreviousAvailable` record component

  - ### pageNextAvailable

    public boolean pageNextAvailable()
    Returns the value of the `pageNextAvailable` record component.
    Returns:
      the value of the `pageNextAvailable` record component

  - ### pageNumber

    public int pageNumber()
    Returns the value of the `pageNumber` record component.
    Returns:
      the value of the `pageNumber` record component

  - ### pageCount

    public long pageCount()
    Returns the value of the `pageCount` record component.
    Returns:
      the value of the `pageCount` record component

  - ### search

    public Optional<String> search()
    Returns the value of the `search` record component.
    Returns:
      the value of the `search` record component